#!/bin/csh

# GNU C++, AIX F90, MPICH/P4

set MPICH_HOME  = $1

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib="-lmpi" \
          -f90=aix \
          -c++com="g++" \
          -c++lib=`gcc -print-libgcc-file-name` \
          -lnkcom="xlf -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           AIX 4.1.2,
#           gcc version 2.5.8,
#           MPICH 1.0.9
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.
